/**
 * Copyright  2002 Matt Griffith
 * Copyright  2004-09 Michael Flanakin
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation the 
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to 
 * permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the 
 * Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS 
 * OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
using System;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

// general
[assembly: AssemblyTitle("UpdateVersion")]
[assembly: AssemblyDescription("Calculates a new version number using one of several algorithms and replaces the version number in an AssemblyVersion attribute with the new version number.")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("")]
[assembly: AssemblyProduct("")]
[assembly: AssemblyCopyright(" 2002 Matt Griffith,  2004-09 Michael Flanakin")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// com/cls
[assembly: ComVisible(false)]
[assembly: Guid("6f9c9787-fd7b-4127-a5fa-b243d0f0c290")]
[assembly: CLSCompliant(true)]

// version
[assembly: AssemblyVersion("1.3.1.0")]
[assembly: AssemblyFileVersion("1.3.1.0")]

// testing
[assembly: InternalsVisibleTo("UpdateVersionTests, PublicKeyToken=<f8d98e03f5ad2866>")]