namespace UpdateVersion
{
	/// <summary>
	/// Specifies the version attribute type that should be updated.
	/// </summary>
	internal enum VersionType
	{
		/// <summary>
		/// Updates the AssemblyVersion attribute.
		/// </summary>
		Assembly,

		/// <summary>
		/// Updates the AssemblyFileVersion attribute.
		/// </summary>
		File
	}
}